using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusIllegalInsert : DataAccessBase
	{
		public BusIllegalInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusIllegalInsert]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		private SqlParameter paramIllegalDateTime;
		public System.DateTime IllegalDateTime
		{
			get
			{
				return (System.DateTime)paramIllegalDateTime.Value;
			}
			set
			{
				paramIllegalDateTime.Value = value;
			}
		}

		private SqlParameter paramIllegalAddress;
		public System.String IllegalAddress
		{
			get
			{
				return (System.String)paramIllegalAddress.Value;
			}
			set
			{
				paramIllegalAddress.Value = value;
			}
		}

		private SqlParameter paramIllegalContent;
		public System.String IllegalContent
		{
			get
			{
				return (System.String)paramIllegalContent.Value;
			}
			set
			{
				paramIllegalContent.Value = value;
			}
		}

		private SqlParameter paramProcessMan;
		public System.String ProcessMan
		{
			get
			{
				return (System.String)paramProcessMan.Value;
			}
			set
			{
				paramProcessMan.Value = value;
			}
		}

		private SqlParameter paramProcessResult;
		public System.String ProcessResult
		{
			get
			{
				return (System.String)paramProcessResult.Value;
			}
			set
			{
				paramProcessResult.Value = value;
			}
		}

		private SqlParameter paramBusID;
		public System.Int32 BusID
		{
			get
			{
				return (System.Int32)paramBusID.Value;
			}
			set
			{
				paramBusID.Value = value;
			}
		}

		private SqlParameter paramBusLicense;
		public System.String BusLicense
		{
			get
			{
				return (System.String)paramBusLicense.Value;
			}
			set
			{
				paramBusLicense.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.Input;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
			//--------------------------------------------------------
			paramIllegalDateTime = new SqlParameter();
			paramIllegalDateTime.ParameterName = "@IllegalDateTime";
			paramIllegalDateTime.SqlDbType = SqlDbType.DateTime;
			paramIllegalDateTime.Size = 16;
			paramIllegalDateTime.Scale = 3;
			paramIllegalDateTime.Direction = ParameterDirection.Input;
			paramIllegalDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIllegalDateTime);
			//--------------------------------------------------------
			paramIllegalAddress = new SqlParameter();
			paramIllegalAddress.ParameterName = "@IllegalAddress";
			paramIllegalAddress.SqlDbType = SqlDbType.VarChar;
			paramIllegalAddress.Size = 50;
			paramIllegalAddress.Direction = ParameterDirection.Input;
			paramIllegalAddress.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIllegalAddress);
			//--------------------------------------------------------
			paramIllegalContent = new SqlParameter();
			paramIllegalContent.ParameterName = "@IllegalContent";
			paramIllegalContent.SqlDbType = SqlDbType.VarChar;
			paramIllegalContent.Size = 50;
			paramIllegalContent.Direction = ParameterDirection.Input;
			paramIllegalContent.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramIllegalContent);
			//--------------------------------------------------------
			paramProcessMan = new SqlParameter();
			paramProcessMan.ParameterName = "@ProcessMan";
			paramProcessMan.SqlDbType = SqlDbType.VarChar;
			paramProcessMan.Size = 50;
			paramProcessMan.Direction = ParameterDirection.Input;
			paramProcessMan.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramProcessMan);
			//--------------------------------------------------------
			paramProcessResult = new SqlParameter();
			paramProcessResult.ParameterName = "@ProcessResult";
			paramProcessResult.SqlDbType = SqlDbType.VarChar;
			paramProcessResult.Size = 50;
			paramProcessResult.Direction = ParameterDirection.Input;
			paramProcessResult.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramProcessResult);
			//--------------------------------------------------------
			paramBusID = new SqlParameter();
			paramBusID.ParameterName = "@BusID";
			paramBusID.SqlDbType = SqlDbType.Int;
			paramBusID.Precision = 10;
			paramBusID.Scale = 0;
			paramBusID.Direction = ParameterDirection.Input;
			paramBusID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusID);
			//--------------------------------------------------------
			paramBusLicense = new SqlParameter();
			paramBusLicense.ParameterName = "@BusLicense";
			paramBusLicense.SqlDbType = SqlDbType.VarChar;
			paramBusLicense.Size = 50;
			paramBusLicense.Direction = ParameterDirection.Input;
			paramBusLicense.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusLicense);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}